Skip to main content
GET
Get InfiniBand partition

Authorizations

Authorization
string
header
required

Create an API token using sf tokens create or at https://sfcompute.com/dashboard/tokens.

Path Parameters

id
string
required

InfiniBand partition ID or resource path A resource path like 'sfc:infiniband_partition:acme:prod:my-infiniband_partition' or an ID. Resource paths are human-readable but not stable - they change when resources are renamed or moved. IDs are stable and permanent.

Pattern: (ibpart_[0-9a-zA-Z_-]{1,21})|(sfc:infiniband_partition:[a-zA-Z0-9._-]+(:[a-zA-Z0-9._-]+){2,2})
Example:

"ibpart_k3R-nX9vLm7Qp2Yw5Jd8F"

Response

InfiniBand partition details.

object
string
default:infiniband_partition
required
read-only
Allowed value: "infiniband_partition"
id
string
required
Pattern: ibpart_[0-9a-zA-Z_-]{1,21}
Example:

"ibpart_k3R-nX9vLm7Qp2Yw5Jd8F"

resource_path
string
required

A resource path for a infiniband_partition resource. Format: sfc:infiniband_partition:::.

Pattern: sfc:infiniband_partition:([a-zA-Z0-9._-]+:){2}[a-zA-Z0-9._-]+
Example:

"sfc:infiniband_partition:<account_id>:<workspace>:<name>"

workspace
object
required

Workspace this partition belongs to.

name
string
required
Required string length: 1 - 255
Pattern: [a-zA-Z0-9][a-zA-Z0-9._-]{0,254}
Example:

"my-resource-name"

fabric
string
required

InfiniBand fabric serving this partition. Partitions on different fabrics cannot reach each other.

Required string length: 1 - 255
Pattern: [a-zA-Z0-9][a-zA-Z0-9._-]{0,254}
Example:

"my-resource-name"

region
string
required

The geographic region where the hardware is located, e.g. europe-north1.

availability_zone
string
required

An independent failure domain within a region, e.g. a.

created_at
integer<int64>
required

Unix timestamp.

Example:

1738972800